#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.2.12.1
 Author:         bobsobol

 Script Function:
	Setup PT MSSQL database.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

#AutoIt3Wrapper_Icon=./DBInstall.ico
#NoTrayIcon
#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>

If FileExists(@ProgramFilesDir & "\Microsoft SQL Server\90\Tools\Binn\SQLCMD.EXE") Then
	$SQLCMD=@ProgramFilesDir & "\Microsoft SQL Server\90\Tools\Binn\SQLCMD.EXE"
Else
	MsgBox(0,"Error - SQLCMD not found!", "This program requires the Microsoft SQL Command Line tool SQLCMD!" & @CRLF & @CRLF & _
	"Please download and install:-" & @CRLF & _
	" o Microsoft SQL Server Native Client" & @CRLF & _
	" o Microsoft SQL Server 2005 Command Line Query Utility" & @CRLF & _
	"from " & @CRLF & _
	"http://www.microsoft.com/downloads/details.aspx?familyid=d09c1d60-a13c-4479-9b91-9e8b9d835cdc&displaylang=en")
	Exit
EndIf

$Form1 = GUICreate("SQL 2005 PT Database Setup", 347, 296, 192, 124)
$Database = GUICtrlCreateInput("", 96, 16, 241, 21)
GUICtrlSetData($Database,@ComputerName & "\SQLEXPRESS")
$User = GUICtrlCreateInput("", 96, 48, 241, 21)
GUICtrlSetData($User,"sa")
$Password = GUICtrlCreateInput("", 96, 80, 241, 21)
$L1 = GUICtrlCreateLabel("Database name", 9, 16, 79, 17)
$L2 = GUICtrlCreateLabel("User name", 25, 48, 55, 17)
$L3 = GUICtrlCreateLabel("Password", 33, 80, 50, 17)
$Output = GUICtrlCreateEdit("", 8, 144, 329, 145, BitOR($ES_AUTOVSCROLL,$ES_AUTOHSCROLL,$ES_NOHIDESEL,$ES_WANTRETURN,$WS_HSCROLL,$WS_VSCROLL))
GUICtrlSetBkColor($Output,0x00000)
GUICtrlSetColor($Output,0x00ff00)
GUICtrlSetFont($Output,9,"","","Courier New")
$BtnGo = GUICtrlCreateButton("Setup", 120, 104, 121, 33, $WS_GROUP)
GUISetState(@SW_SHOW)


While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		Case $BtnGo
			CreateDB("Account_DB")
			CreateDB("AccountDB")
			CreateDB("BillingDb")
			CreateDB("BillingLogDb")
			CreateDB("ClanDb")
			CreateDB("GameLogDb")
			CreateDB("ItemLogDb")
			CreateDB("PCRoom")
			CreateDB("PCRoomLog")
			CreateDB("SoD2Db")
			CreateDB("SoDDb")
			GUICtrlSetData($Output,GUICtrlRead($Output) & "Operation complete!" & @CRLF)
	EndSwitch
WEnd

Func CreateDB($DataSet)
	GUICtrlSetData($Output,GUICtrlRead($Output) & "Creating "& $DataSet & @CRLF)
	$Proc = Run($SQLCMD & ' -S "' & GUICtrlRead($Database) & '" -U "' & GUICtrlRead($User) & '" -P "' & GUICtrlRead($Password) & '" -Q"CREATE DATABASE ' & $DataSet & '"',@ScriptDir,@SW_HIDE,2)
	If $Proc = 0 Then
		MsgBox(0,"Error = " & @error,$SQLCMD & ' -S "' & GUICtrlRead($Database) & '" -U "' & GUICtrlRead($User) & '" -P "' & GUICtrlRead($Password) & '" -Q"CREATE DATABASE ' & $DataSet & '"')
	Else
		If ProcessExists($Proc) Then
			ProcessWait($Proc)
		EndIf
	EndIf
	GUICtrlSetData($Output,GUICtrlRead($Output) & StdoutRead($Proc))
	$Proc = Run($SQLCMD & ' -S "' & GUICtrlRead($Database) & '" -U "' & GUICtrlRead($User) & '" -P "' & GUICtrlRead($Password) & '" -dAccount_DB -i"' & $DataSet & '.sql"',@ScriptDir,@SW_HIDE,2)
	If $Proc = 0 Then
		MsgBox(0,"Error = " & $Proc,$SQLCMD & ' -S "' & GUICtrlRead($Database) & '" -U "' & GUICtrlRead($User) & '" -P "' & GUICtrlRead($Password) & '" -dAccount_DB -i"' & $DataSet & '.sql"')
	Else
		If ProcessExists($Proc) Then
			ProcessWait($Proc)
		EndIf
	EndIf
	GUICtrlSetData($Output,GUICtrlRead($Output) & StdoutRead($Proc))
EndFunc